[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: some tasks I won't be able to complete



On Tue, Dec 16, 2008 at 11:01:45PM +0900, Mamoru Tasaka wrote:
>
> I thought that in this case using "BuildRequires: foo-static"
> was _mandatory_ ...
>
> https://fedoraproject.org/wiki/Packaging/Guidelines#Packaging_Static_Libraries
>
> Quoted:
> Packages which explicitly need to link against the static version _must_  
> BuildRequire: foo-static, so that the usage can be tracked. 

Well, my interpretation of that is that the BuildRequires foo-static
is here to track packages that must link against a static library, that
is, that cannot link against a shared library. Those that can link 
against either a shared or a static library (even if the shared library
doesn't exist yet) should BuildRequires -devel.

However, rereading 
https://fedoraproject.org/wiki/Packaging/Guidelines#Programs_which_don.27t_need_to_notify_FESCo
it seems that I am wrong and indeed the BuildRequires should be 
foo-static. I have a bunch of nonconformant packages, then...

In any case I think that those guidelines cannot really be effective 
without tools to automatically find out non conformant packages, that
is the aim of my script.

--
Pat


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]